Package com.collibra.dgc.core.api.dto.mapping

# Class FindMappingsRequest.Builder

Object
Builder

Enclosing class:
  `FindMappingsRequest`

public static final class FindMappingsRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindMappingsRequest`
  `build()`
  `FindMappingsRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindMappingsRequest.Builder`
  `externalEntityId(String externalEntityId)`
  `FindMappingsRequest.Builder`
  `externalSystemId(String externalSystemId)`
  `FindMappingsRequest.Builder`
  `limit(int limit)`
  `FindMappingsRequest.Builder`
  `mappedResourceId(String mappedResourceId)`
  `FindMappingsRequest.Builder`
  `mappedResourceType(FindMappingsRequest.MappedResourceType mappedResourceType)`
  `FindMappingsRequest.Builder`
  `offset(int offset)`
  `FindMappingsRequest.Builder`
  `syncAction(SyncAction syncAction)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public FindMappingsRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindMappingsRequest.builder()`
    Clone method for this Builder.

  - ### offset

    public FindMappingsRequest.Builder offset(int offset)
    Returns:
      `this`.

  - ### limit

    public FindMappingsRequest.Builder limit(int limit)
    Returns:
      `this`.

  - ### externalSystemId

    public FindMappingsRequest.Builder externalSystemId(String externalSystemId)
    Returns:
      `this`.

  - ### externalEntityId

    public FindMappingsRequest.Builder externalEntityId(String externalEntityId)
    Returns:
      `this`.

  - ### mappedResourceId

    public FindMappingsRequest.Builder mappedResourceId(String mappedResourceId)
    Returns:
      `this`.

  - ### mappedResourceType

    public FindMappingsRequest.Builder mappedResourceType(FindMappingsRequest.MappedResourceType mappedResourceType)
    Returns:
      `this`.

  - ### syncAction

    public FindMappingsRequest.Builder syncAction(SyncAction syncAction)
    Returns:
      `this`.

  - ### build

    public FindMappingsRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`